/*
 * Project    : ipv6calc
 * File       : ipv6calc.h[.in]
 * Version    : $Id: ipv6calc.h.in,v 1.14 2002/03/11 19:27:09 peter Exp $
 * Copyright  : 2001-2002 by Peter Bieringer <pb (at) bieringer.de>
 *
 * Information:
 *  Main header file
 */ 


#ifndef _ipv6calc_h_

#define _ipv6calc_h_

/* global program related definitions */
#define PROGRAM_NAME "ipv6calc"
#define PROGRAM_VERSION "0.40pre5"
#define PROGRAM_COPYRIGHT " (P) & (C) 2001-2002 by Peter Bieringer <pb (at) bieringer.de>\n published under GNU GPL"

/* global includes */
/*#include <netinet/in.h>*/

/*** global definitions ***/
/* max length of a string for storage in a char array */
#define NI_MAXHOST 1024

/* debug switches */
/* #define DEBUG_addr_to_compressed */
/* #define DEBUG_addr_to_uncompressed */
/* #define DEBUG_addr_to_fulluncompressed */
/* #define DEBUG_ifinet6_to_compressed */

/* debug switches for libaries */
/* #define DEBUG_librfc1924 */
/* #define DEBUG_libipv6calc */
/* #define DEBUG_libmac */
/* #define DEBUG_libeui64 */


/* command values */
#define CMD_printhelp           0x00001
#define CMD_printversion        0x00002

#define CMD_printexamples       0x00004

/* new style options */
#define CMD_inputtype			0x0200000
#define CMD_outputtype			0x0400000
#define CMD_actiontype			0x0800000


/* shortcut commands */
#define CMD_shortcut_start		0x000101
#define CMD_addr_to_ip6int		0x000101
#define CMD_addr_to_compressed		0x000102
#define CMD_addr_to_uncompressed	0x000103
#define CMD_addr_to_fulluncompressed	0x000104
#define CMD_addr_to_ifinet6		0x000105
#define CMD_addr_to_base85		0x000106
#define CMD_addr_to_ip6arpa		0x000107
#define CMD_addr_to_bitstring		0x000108
#define CMD_ipv4_to_6to4addr		0x000109
#define CMD_base85_to_addr		0x00010a
#define CMD_mac_to_eui64		0x00010b
#define CMD_eui64_to_privacy		0x00010c
#define CMD_ifinet6_to_compressed	0x00010d
#define CMD_shortcut_end		0x00010d

#define CMD_showinfo			0x001001
#define CMD_showinfotypes		0x001002


/* debug values */
#define DEBUG_showinfo			0x000002l

#define DEBUG_libipv6calc		0x000010l
#define DEBUG_libipv6addr		0x000020l
#define DEBUG_libipv4addr		0x000040l
#define DEBUG_libipv6calctypes		0x000080l

#define DEBUG_librfc3041		0x000100l
#define DEBUG_librfc1884		0x000200l
#define DEBUG_librfc2874		0x000400l
#define DEBUG_librfc1886		0x000800l
#define DEBUG_librfc3056		0x001000l
#define DEBUG_libifinet6		0x002000l

/* global debug value */
extern long int ipv6calc_debug;


#endif
